Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.ApiKeyResponse

java.lang.Object
java.lang.Enum<Protocol.ApiKeyResponse>
com.google.javascript.jscomp.webservice.common.Protocol.ApiKeyResponse

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.ApiKeyResponse>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.ApiKeyResponse extends Enum<Protocol.ApiKeyResponse> implements Protocol.ProtocolEnum
Fields in the JSON response from the ApiKeyGenerationServlet.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`API_KEY`

## Method Summary

Modifier and Type
Method
Description
`String`
`getResponseParam()`
Name of the key as it appears in the JSON.
`String`
`getValue()`
`String`
`toString()`
`static Protocol.ApiKeyResponse`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.ApiKeyResponse[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### API_KEY

public static final Protocol.ApiKeyResponse API_KEY

## Method Details

### values

public static Protocol.ApiKeyResponse[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.ApiKeyResponse valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getResponseParam

public String getResponseParam()
Name of the key as it appears in the JSON.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Protocol.ApiKeyResponse>`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.